/* %W%   %G% */

#define MACHEPS 0.000000000000001   /* machine precision */

struct darray {
 double *y;
 double *parms, *ihess;
 int ncases, nparms;
} ;

void readthedata();
void readparms();
void readihess();
void freethedata();
void genprint(double *X);
void setoparms(double *X);
void setdomains(double **domains);
void cleanupo(double *X);
double objfunc(double *X);
double objfuncg(double *p);
int objfuncopg(double *p, double *outvec);

void boundarycheck(double *X);
