/* %W%   %G% */
#ifndef PARMS_H_READ_ALREADY

#define PARMS_H_READ_ALREADY 1

/* limit for number of generations to allow with no changes in the best
   fitness value, and how much to reduce the total number of generations
   when that limit is reached */
#define NOCHANGE_LIM 3
#define NOCHANGE_SHRINK 1000
/* proportion of generations to add when fitness is still improving at
   generation limit */
#define NOTDONE_ADD 0
/* number of generations with no changes to be treated as convergence at
   generation limit */
#define NOTDONE_LIM 25

#define NCASES 450  /* maximum number of cases to be read */

#define MAX_NPARAMS 50  /* maximum number of parameters to read from file */

#define VARS MAX_NPARAMS

#endif
