#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include "gendop.h"
#include "parms.h"
#include "objfunc.h"

static char *sccsversion = "%W%   %G%";

double evaluate(X)
VECTOR X;
{
  extern double (*func4eval)(double *);

  switch (test_num) {
  case 1: return func4eval(X);
  default: printf("Invalid test case in eval.c - test case is %f", test_num);
    exit(0);
  }
  return(0);
}

void printbest(X)
VECTOR X;
{
  extern void (*func4genprint)(double *);

  switch (test_num) {
  case 1:
    func4genprint(X);
    break;
  default: printf("Invalid test case in eval.c - test case is %f", test_num);
    exit(0);
  }
}

void cleanup(X)
VECTOR X;
{
  extern void (*func4cleanup)(double *);

  switch (test_num) {
  case 1: func4cleanup(X);
    break;
  default: printf("Invalid test case in eval.c - test case is %f", test_num);
    exit(0);
  }
}

void setparms(X)
VECTOR X;
{
  extern void (*func4setparms)(double *X);

  switch (test_num) {
  case 1: func4setparms(X);
    break;
  default: printf("Invalid test case in eval.c - test case is %f", test_num);
    exit(0);
  }
}


